#
# spec file for package php5-pear-db (Version 1.7.6)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
#

# norootforbuild

%define _name    php4-pear-db
%define _phpdir  php
%define _phpbin  %{_bindir}/php
%define _peardir /
%define _pear    pear

Name:           %{_name}
%define peardir %{_datadir}/%{_phpdir}/%{_peardir}
License:        Other License(s), see package, Other uncritical OpenSource License
Group:          Productivity/Networking/Web/Servers
Version:        1.7.11
Release:        3.3
Summary:        PEAR database abstraction layer
URL:            http://pear.php.net/package/DB
Requires:       php4-pear
BuildRequires:  php4-pear
Provides:       php-pear-db
Source:         http://pear.php.net/get/DB-%{version}.tgz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Patch0:        DB-1.7.6-dependency.patch 
%description
PEAR DB is a database abstraction layer providing: * an OO-style
   query API

* portability features that make programs written for one DBMS work
   with other DBMS's

* a DSN (data source name) format for specifying database servers

* prepare/execute (bind) emulation for databases that don't support
   it natively

* a result object for each query response

* portable error codes

* sequence emulation

* sequential and non-sequential row fetching as well as bulk
   fetching

* formats fetched rows as associative arrays, ordered arrays or
   objects

* row limit support

* transactions support

* table information interface

* DocBook and phpDocumentor API documentation



Authors:
--------
    Stig Bakken <stig@php.net>
    Thomas V.V.Cox <cox@idecnet.com>
    Daniel Convissor
    Lukas Smith <smith@pooteeweet.org>

%prep
%setup -c
%patch0

%build

%install
%__mv package*.xml DB-%{version}
cd DB-%{version}
PHP_PEAR_PHP_BIN="%{_phpbin} -d memory_limit=50m" %{_pear} -v -d doc_dir=%{_docdir}/%{name} install -R "$RPM_BUILD_ROOT" package.xml
%__rm -rf "$RPM_BUILD_ROOT"/%{peardir}/.{filemap,lock,registry,channels,depdb,depdblock}
# workaround
%__sed -i "s|$RPM_BUILD_ROOT|/|g" \
	$RPM_BUILD_ROOT%{peardir}/test/DB/tests/driver/setup.inc.cvs \
	$RPM_BUILD_ROOT%{peardir}/test/DB/tests/include.inc

%clean
%__rm -rf %{BuildRoot}

%files
%defattr(-, root, root)
%dir %{peardir}/test
%{peardir}/test/DB
%{peardir}/DB
%{peardir}/DB.php
%doc %{_docdir}/%{name}

%changelog
* Wed Jul 25 2007 mmarek@suse.cz
- updated to 1.7.12
  * fixes an issue that prevented PostgreSQL users from escaping
    values with PHP 5.2
* Sat Jun 23 2007 judas_iscariote@shorewall.net
- update to pear-db 1.7.11 [#278175]
- adapt package to new pear package format
